Subject: Green vs sky July 28 and Natural vs Sky July 30

From: "Mike Bradley" <[email-masked]>
Date: Thu, 31 Jul 2003 11:59:25 -0400

Loring,

Game report on Green vs Sky July 28:

By Mike Bradley of Team Sky

On this summer evening when the sky was blue and the grass was green, how fitting that Team Sky and Team Green should meet on this beautiful evening to play Ultimate.  Alas, this game was the story of two halves, with Sky playing well in the first and Green playing very well and taking the second for the win.  For Team Sky, this game marked the return of M. Schein to the Sky line-up after an extended hiatus and he didnt disappoint, with several throws for scores.  Sky took half 9-6 with a perfectly executed goal-line play.  During half, the cheer of "Step it up" was heard from the Green sideline and STEP IT UP they did with some inspired 'D' play that resulted several quick scores.  Captain Vette of Green had a couple of nice catches for scores.  All in all, a hard fought, well spirited game, in which Green won 17-12.  On a personal note, I was achin' at the end of the game from chasing Jeff "jet" Petros around all night.  A task I wish upon no other RIPUL player.  

Game report on Naked vs Sky July 30:

by Mike Bradley of Team Sky

For the second straight game, it was an absolutely perfect evening for the showdown between Sky and Naked.  Team Nude finally had some players for this game, but they still are missing some key personnel due to injuries and whatnot.  Team Sky on the other hand, started the game with only six players and Naked capitalized by taking a 7-6 lead.  During this time, Sky was also mesmerized by the Naked Clam D, but regrouped and took half.  "Whatever you do, dont throw it toward (captain Scott) Wiant" was heard on the Sky sideline during half.  Sky took this advice and built on their halftime lead.  But Nude battled back with Cap. Wiant connecting on a marvelous inside out forehand that found a Naked woman in the corner of the endzone.  Team Sky prevailed in the end 17-13.  On a personal note, I was achin' at the end of the game from chasing Brian "Cape" Sauro around all night.  A task I wish upon no other RIPUL player.  

Two absolutely stupendous cheers culminated this game with renditions "Popsicle Ice, Ice Baby" done by Team Sky and "Every breath you take" by Naked.

__________________________________________________

Mike Bradley
Research Associate
University of Rhode Island
Environmental Data Center
Department of Natural Resources Science
105 Coastal Institute Kingston
Kingston, Rhode Island 02881-0804
(401) 874-5054